g.search.modules(1)

NAME
g.search.modules.py - Search in GRASS modules using keywords

KEYWORDS
general, modules, search

SYNOPSIS
g.search.modules.py
g.search.modules.py --help
g.search.modules.py [-amcgj] keyword=string[,string,...] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-a
    Display only modules where all keywords are available (AND), default: OR

-m
    Search in manual pages too (can be slow)

-c
    Use colorized (more readable) output to terminal

-g
    Shell script format

-j
    JSON format

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

keyword=string[,string,...] [required]
    Keyword to be searched

DESCRIPTION
g.search.module searches for given keyword in GRASS modules name, description, keywords and optionally manpages too.

NOTES
There can be more keywords, g.search.modules will search for each of them

EXAMPLE
Search all modules, where keywords buffer OR clip can be found

g.search.modules keyword=buffer,clip
r.circle
    keywords: raster,buffer,geometry,circle
    description: Creates a raster map containing concentric rings around a
                 given point.
r.buffer.lowmem
    keywords: raster,buffer
    description: Creates a raster map showing buffer zones surrounding cells
                 that contain non-NULL category values. This is the low-
                 memory alternative to the classic r.buffer module.
r.buffer
    keywords: raster,buffer
    description: Creates a raster map showing buffer zones surrounding cells
                 that contain non-NULL category values.

Search all modules, where keywords overlay AND clip can be found with some fancy terminal output

g.search.modules keyword=clip,overlay -a -c
v.overlay
    keywords: vector,geometry,spatial query,intersection,union,clip
    description: Overlays two vector maps.;

Search in manual pages too

g.search.modules -m keyword=kapri
db.execute
    keywords: database,attribute table,SQL
    description: Executes any SQL statement. For SELECT statements use
                 ’db.select’.
db.select
    keywords: database,attribute table,SQL
    description: Selects data from attribute table. Performs SQL query
                 statement(s).

SEE ALSO
g.manual

AUTHORS
Jachym Cepicky, OpenGeoLabs s.r.o., Czech Republic

Last changed: $Date: 2016-04-21 16:33:08 +0200 (Thu, 21 Apr 2016) $

SOURCE CODE

Available at: g.search.modules source code (history)

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.2.0 Reference Manual